Package com.scriptel.proscript

## Class CoordinateRange

- java.lang.Object
- - com.scriptel.proscript.CoordinateRange

-     public class CoordinateRange
      extends java.lang.Object

  This class represents the logical coordinate range of a ScripTouch device.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getXMax()` | Gets the maximum horizontal component.
    `int` | `getXMin()` | Gets the minimum horizontal component.
    `int` | `getYMax()` | Gets the maximum vertical component.
    `int` | `getYMin()` | Gets the minimum vertical component.
    `void` | `rangeCoordinate​(AdjustedCoordinate c)` | This method corrects a raw coordinate's range to match the range specified by the device.
    `java.lang.String` | `toString()` | Prints this object as a human readable string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### rangeCoordinate

          public void rangeCoordinate​(AdjustedCoordinate c)

      This method corrects a raw coordinate's range to match the range specified by the device. The x and y of the coordinate will be between 0 and 1 after being corrected indicating the percentage of the range the coordinate is.
      Parameters:
        `c` - Coordinate to adjust.

    - #### toString

          public java.lang.String toString()

      Prints this object as a human readable string.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Human readable string.

    - #### getXMin

          public int getXMin()

      Gets the minimum horizontal component.
      Returns:
        the xMin

    - #### getXMax

          public int getXMax()

      Gets the maximum horizontal component.
      Returns:
        the xMax

    - #### getYMin

          public int getYMin()

      Gets the minimum vertical component.
      Returns:
        the yMin

    - #### getYMax

          public int getYMax()

      Gets the maximum vertical component.
      Returns:
        the yMax